Bug 584510 - subscription-manager-gui: GTK redraw function should be called during long operations
Summary: subscription-manager-gui: GTK redraw function should be called during long op...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: Jeff Weiss
URL:
Whiteboard:
Depends On:
Blocks: 568421
TreeView+ depends on / blocked
 
Reported: 2010-04-21 18:34 UTC by Steve Salevan
Modified: 2014-11-09 22:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:36:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 0 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description Steve Salevan 2010-04-21 18:34:41 UTC
Description of problem:
During long operations with subscription-manager-gui, the application will halt redrawing.  Long operations should be run asynchronously, or the GTK redraw function should be called during long operations.

Version-Release number of selected component (if applicable):
git HEAD

How reproducible:
Always

Steps to Reproduce:
1. Perform a long operation (adding subscriptions, registering, etc.) with the subscription-manager-gui tool
2. Move one of its component windows around on the screen
  
Actual results:
As above

Expected results:
Application windows redraw during long operations

Additional info:

Comment 1 RHEL Program Management 2010-04-21 19:09:22 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 James Bowes 2010-05-26 11:47:55 UTC
+1 for async. manually calling redraw rarely works.

Comment 9 Jeff Weiss 2010-10-13 14:30:03 UTC
This is a higher priority from qa's point of view - UI hangs need to be fixed.

Not only do the panels and dialogs stop drawing during long operations (which are most evident when registered to candlepin1, which is slow), there are dialogs which are supposed to contain progress bars, for which the progress bar is not even drawn until the very end of the operation.  For example, when subscribing to a pool.

Comment 10 Bryan Kearney 2011-01-04 17:14:23 UTC
With the new design, there are fewer flyovers.. and I am not seeing this.

Comment 11 J.C. Molet 2011-02-08 15:50:06 UTC
This cannot be reproduced as tested in versions above subscription-manager-gnome-0.95.1-1.git.5.ea27497.el6.x86_64

Comment 12 errata-xmlrpc 2011-05-19 13:36:31 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.